For AI agents: the documentation index is at /llms.txt, and this page is available as Markdown at /api/institutional/get-market-auction-cefi.md.
Get auction state and indicative
Query for the opening-auction state (and, while in an opening auction, the indicative) by instrument ID. If no query parameters are supplied then the state for ALL available instruments is returned. auction_mode is always present; the auction_indicative object is included only while the instrument is in an opening auction (OPENING or LOCKED) and omitted otherwise.
instrument_id?stringInstrument ID of the market to query for. Must be a valid non-zero numeric ID.
^[1-9][0-9]*$1 <= lengthSuccessful operation.
application/json- response
[index: integer]?Opening-auction state for an instrument, returned by /v1/cefi/market/auction. auction_mode is always present; auction_indicative is included only while the instrument is in an opening auction (OPENING or LOCKED) and omitted otherwise (Coinbase-style nullable object).
curl -X GET 'https://api.truex.co/v1/cefi/market/auction'[ { "auction_mode": true, "auction_indicative": { "indicative_price": "100", "matched_volume": "0", "projected_best_bid_price": "0", "projected_best_ask_price": "0", "timestamp": "1752156513225654386", "status": "INVALID" } }]Get markets GET
Query for the exchange best bid/offer (EBBO) by instrument ID. If no query parameters are supplied then ALL available EBBOs will be returned.
Compute market quote POST
Calculate a quote preview for an asset using current visible order book depth. Supports both base quantity and quote (notional) quantity via the required qty_unit parameter. For qty_unit=QUOTE, the exchange computes the largest executable base quantity that fits within the requested quote amount while respecting the instrument's base increment at the final consumed price level. As a result, the returned notional may be slightly less than the requested quote amount and the difference is reported in notional_residual.